<?php
  define('_IN_JOHNCMS', 1);

$headmod = 'medal';
$textl = 'добавление медали';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
 
$action=htmlspecialchars(trim($_GET['action']));

switch ($action){

default:
echo '<b>Добавление медалей</b><br/>';
$x=mysql_query("SELECT * FROM `medal` ORDER BY `id` DESC LIMIT 3");
if(!mysql_num_rows($x)){echo 'Нет медалей';
}else{
while($row=mysql_fetch_assoc($x)){
echo '<img src="'.$row['logo'].'" alt=""/><br />';
echo 'Описание: '.$row['opis'].' <br />';
};

};
echo '<form action="add.php?action=add" method="post" name="form" enctype="multipart/form-data">';
echo 'Ссылка на картинку: (с <b>http://</b>)<br/>';
echo '<input type="text" name="logo" /><br/>';
echo 'Описание: <br/>';
echo '<input type="text" name="opis" /><br/>';
echo '<input type="submit" value="Добавить" />';
echo '</form>';

echo '<a href="../man/index.php">В менеджер</a>';
break;

case 'add':
$logo=$_POST['logo'];
$opis=$_POST['opis'];
if(!$logo || !$opis){echo 'Пустые параметры!';break;};
mysql_query("INSERT INTO `medal` (`logo`,`opis`)VALUES('$logo','$opis')");
echo 'Добавлено!<br/>';
echo '<a href="../man/index.php">В менеджер</a>';
break;
};

require_once ("../incfiles/end.php");
?>